import Vue from 'vue';
import Vuex from 'vuex';
import school from '@frame/store/school';
import subject from '@frame/store/subject';
import teacher from '@frame/store/teacher';
import login from '@frame/store/login';
import dictionary from '@frame/store/dictionary';
import nation from '@frame/store/nation';
import * as ustate from '@frame/store/user/state';
import * as umutations from '@frame/store/user/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: { school, subject, teacher, login, dictionary, nation },
});
